/*
 *  Draco Econometrics
 *  Copyright (C) 2006-2007 Approximatrix, LLC
 *  http://www.approximatrix.com
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.approximatrix.draco.math.mesp.psuedologic;

import com.graphbuilder.math.FuncMap;

/** Wrapper class that contains a single static method for adding
 * all the pseudologic functions to a MESP FuncMap.
 * 
 * @author armstrongj
 *
 */
public class PseudoLogic {
	
	public static FuncMap AddLogicFunctions(FuncMap original) {
		
		original.setFunction("if",new IfFunction());
		original.setFunction("gt",new GTFunction());
		original.setFunction("lt",new LTFunction());
		original.setFunction("ge",new GEFunction());
		original.setFunction("le",new LEFunction());
		original.setFunction("eq",new EQFunction());
		original.setFunction("ne",new NEFunction());
		original.setFunction("and",new AndFunction());
		original.setFunction("or",new OrFunction());
		original.setFunction("not",new NotFunction());
		
		return original;
	}
}
